import RuleGroupDao from "@/dao/rule-group";

export default {
  async queryRuleGroup({ component }) {
    let list = [];
    const resp = await RuleGroupDao.findByAll({
      data: {
        type: "rule"
      }
    });
    const {
      data: { status, content }
    } = resp;
    if (status == "success") {
      list = content;
    }
    component("tree").action("setData", list);
    component("tree").action("setActive");
  },
  async createRuleGroup({ dispatch }, payload) {
    await RuleGroupDao.create({
      data: {
        type: "rule",
        ...payload
      }
    });
    await dispatch("queryRuleGroup");
  },
  async editRuleGroup({ dispatch }, payload) {
    await RuleGroupDao.edit({
      data: payload
    });
    await dispatch("queryRuleGroup");
  },
  async deleteRuleGroup({ dispatch }, payload) {
    await RuleGroupDao.delete({
      params: payload
    });
    await dispatch("queryRuleGroup");
  }
};
