const schema = [
  {
    prop: "name",
    label: "名称",
    type: "input",
    props: {
      placeholder: "请填写名称",
      showWordLimit: true,
      maxlength: 20
    },
    rules: [
      {
        required: true,
        message: "请填写名称"
      }
    ]
  },
  {
    prop: "code",
    label: "编码",
    type: "input",
    props: {
      placeholder: "请填写编码",
      showWordLimit: true,
      maxlength: 20
    }
  }
];

export default {
  "config.title": "规则分类",
  "config.toolbar.edit.disabled": ({ component }) => {
    return !component("tree").action("getActive");
  },
  "config.toolbar.delete.disabled": ({ component }) => {
    return !component("tree").action("getActive");
  },
  "events.init": async ({ dispatch }) => {
    await dispatch("queryRuleGroup");
  },
  "events.toolbarClick/create": async ({ dispatch, modal }) => {
    modal({
      data: {},
      title: "新建",
      schema,
      onConfirm: async ({ data, close }) => {
        await dispatch("createRuleGroup", data);
        await dispatch("queryRuleGroup");
        close();
      }
    });
  },
  "events.toolbarClick/edit": async ({ dispatch, component, modal }) => {
    const active = component("tree").action("getActive");
    modal({
      data: active,
      title: "编辑",
      schema,
      onConfirm: async ({ data, close }) => {
        await dispatch("editRuleGroup", data);
        await dispatch("queryRuletGroup");
        close();
      }
    });
  },
  "events.toolbarClick/delete": async ({ dispatch, component, confirm }) => {
    const active = component("tree").action("getActive");
    confirm({
      title: "是否删除",
      content: "即将删除所选数据，是否继续",
      confirmButtonText: "删除",
      cancelButtonText: "关闭",
      onConfirm: async () => {
        await dispatch("deleteRuleGroup", {
          ids: active.id
        });
        await dispatch("queryRuleGroup");
      }
    });
  }
};
